Name: H5Gmove2
Signature:
  herr_t `H5Gmove2`( hid_t `src_loc_id`, const char `*src_name`, hid_t `dst_loc_id`, const char `*dst_name` )
Purpose:
  Renames an object within an HDF5 file.
Description:
  `H5Gmove2` renames an object within an HDF5 file. The original name, `src_name`, is unlinked from the group graph and the new name, `dst_name`, is inserted as an atomic operation.

  `src_name` and `dst_name` are interpreted relative to `src_name` and `dst_name`, respectively, which are either file or group identifiers.
Warning:
  Exercise care in moving groups as it is possible to render data in a file inaccessible with `H5Gmove`. See The Group Interface in the HDF5 User's Guide.
Parameters:

hid_t `src_loc_id` | IN: Original file or group identifier.
const char `*src_name` | IN: Object's original name.
hid_t `dst_loc_id` | IN: Destination file or group identifier.
const char `*dst_name` | IN: Object's new name.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5gmove2_f

      SUBROUTINE h5gmove2_f(src_loc_id, src_name, dst_loc_id, dst_name, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: src_loc_id   ! File or group identifier
        CHARACTER(LEN=*), INTENT(IN) :: src_name   ! Original name of an object
                                                   ! relative to src_loc_id
        INTEGER(HID_T), INTENT(IN) :: dst_loc_id   ! File or group identifier
        CHARACTER(LEN=*), INTENT(IN) :: dst_name   ! New name of an object
                                                   ! relative to dst_loc_id
        INTEGER, INTENT(OUT) :: hdferr             ! Error code
                                                   ! 0 on success and -1 on failure
      END SUBROUTINE h5gmove2_f